pydo.partner_attachments.create_service_key()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.partner_attachments.create_service_key(
    pa_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
)
Returns JSONRaises HttpResponseError

Description

This operation generates a new service key for the specified partner attachment. The operation is asynchronous, and the response is an empty JSON object returned with a 202 status code. To poll for the new service key, send a GET request to /v2/partner_network_connect/attachments/{pa_id}/service_key.

Parameters

pa_id string required

A unique identifier for a partner attachment.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client
client = Client(token=os.getenv("$DIGITALOCEAN_TOKEN"))
response = client.partner_attachments.create_service_key("5a4981aa-9653-4bd1-bef5-d6bff52042e4")

Response Example

Show Response Example
{}

More Information

See /v2/partner_network_connect/attachments/{pa_id}/service_key in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.